@property --out {
  syntax: "<angle>";
  inherits: false;
  initial-value: 90deg;
}

@property --a {
  syntax: "<angle>";
  inherits: false;
  initial-value: 315deg;
}
.anim-gradient {
  &::before,
  &::after {
    content: "";
    z-index: 1 !important;
    position: absolute;
    inset: -1px;
    background-color: #fff;
    transition: all 2s linear;
  }

  &::after {
    filter: blur(12px);
  }
  &::before {
    --a: 315deg;
    transition: --a 0.5s;
    background: linear-gradient(
      var(--a),
      rgba(95, 255, 255, 1) 0%,
      rgba(213, 248, 255, 0.6) 5%,
      rgba(255, 255, 255, 0.1) 50%,
      rgba(213, 248, 255, 0.6) 95%,
      rgba(95, 255, 255, 1) 100%
    );
  }
  &::after {
    transition: --a 0.5s;
    background: linear-gradient(
      -45deg,
      rgba(95, 255, 255, 1) 0%,
      rgba(213, 248, 255, 0.6) 5%,
      rgba(255, 255, 255, 0.15) 50%,
      rgba(213, 248, 255, 0.6) 95%,
      rgba(95, 255, 255, 1) 100%
    );
  }
  &::before,
  &::after {
    animation: animation-gradient 3s linear infinite both;
    animation-play-state: paused;
  }
  &:hover {
    &::before,
    &::after {
      animation-play-state: running;
    }
  }
}
@keyframes animation-gradient {
  0% {
    --a: 315deg;
  }
  100% {
    --a: -45deg;
  }
}

.anim-gradient-outline-violent {
  --out: 90deg;
  transition: --out 0.5s;
  background: radial-gradient(
        127.68% 127.68% at 50% 50%,
        #ffffff 0%,
        #fbe6ff 100%
      )
      padding-box,
    linear-gradient(var(--out), var(--blue_light), rgba(158, 82, 206, 0.1), var(--blue_light))
      border-box;
  animation: animation-gradient-violent 3s linear infinite both;
  animation-play-state: paused;
  &:hover {
    animation-play-state: running;
  }
}
@keyframes animation-gradient-violent {
  from {
    --out: 90deg;
  }
  to {
    --out: -270deg;
  }
}


